# eoNoSelect< EOT > Class Template Reference

eoNoSelect: returns all individual in order WITHOUT USING FITNESS!!! looping back to the beginning when exhasuted More...

`#include <eoRandomSelect.h>`

Inheritance diagram for eoNoSelect< EOT >:

List of all members.

## Public Member Functions

| eoNoSelect ()
| Ctor.
virtual const EOT & | operator() (const eoPop< EOT > &_pop)
| The pure virtual function that needs to be implemented by the subclass.

## Private Attributes

unsigned | current

## Detailed Description

### template<class EOT>
class eoNoSelect< EOT >

eoNoSelect: returns all individual in order WITHOUT USING FITNESS!!! looping back to the beginning when exhasuted

Definition at line 78 of file eoRandomSelect.h.

The documentation for this class was generated from the following file:

- eoRandomSelect.h